##### 7.7.8.0. serreRelations

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  serreRelations(A,z); A an intmat, z an int

Return:
  ideal

Assume:
  basering has a letterplace ring structure and
  A is a generalized Cartan matrix with integer entries

Purpose:
  compute the ideal of Serre's relations associated to A

Example:

    LIB "freegb.lib";
    intmat A[3][3] =
    2, -1, 0,
    -1, 2, -3,
    0, -1, 2; // G^1_2 Cartan matrix
    ring r = 0,(f1,f2,f3),dp;
    int uptodeg = 5;
    def R = makeLetterplaceRing(uptodeg);
    setring R;
    ideal I = serreRelations(A,1); I = simplify(I,1+2+8);
    I;
    ==> I[1]=f1(1)*f2(2)*f2(3)-2*f2(1)*f1(2)*f2(3)+f2(1)*f2(2)*f1(3)
    ==> I[2]=f1(1)*f3(2)-f3(1)*f1(2)
    ==> I[3]=f1(1)*f1(2)*f2(3)-2*f1(1)*f2(2)*f1(3)+f2(1)*f1(2)*f1(3)
    ==> I[4]=f2(1)*f3(2)*f3(3)*f3(4)*f3(5)-4*f3(1)*f2(2)*f3(3)*f3(4)*f3(5)+6*f3(1\
       )*f3(2)*f2(3)*f3(4)*f3(5)-4*f3(1)*f3(2)*f3(3)*f2(4)*f3(5)+f3(1)*f3(2)*f3(\
       3)*f3(4)*f2(5)
    ==> I[5]=f2(1)*f2(2)*f3(3)-2*f2(1)*f3(2)*f2(3)+f3(1)*f2(2)*f2(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.